当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Debian下为Iceweasel安装GoogleToolbar

Debian下为Iceweasel安装GoogleToolbar--Linux发行版技术-Debian信息,下面是详情阅读。
原因简析
用于Firefox的Google工具栏(Google Toolbar for Firefox)要求使用Firefox 1.5或更高版本,实现方法是在下载前检查浏览器提供的User Agent变量。Iceweasel名称上不是Firefox,所以被Google识别为版本不符。

解决方案
1.更改User Agent变量
从地址栏进入about: config,把general.useragent.extra.firefox值中的Iceweasel更改为Firefox即可。(推荐此种方法,因为它对其它使用useragent判断浏览器的网页也有用)

2.直接下载插件
这似乎是不可思议的方法,但确实可行。下载(注意是下载,即保存到本地而非直接点) http://dl.google.com/firefox/google-toolbar-linux.xpi

把它直接拖到浏览器窗口里就可以了。该插件不再检查浏览器是Firefox还是Iceweasel。
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有